package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.MobileMiddleMapper;
import com.ruoyi.system.domain.MobileMiddle;
import com.ruoyi.system.service.IMobileMiddleService;

/**
 * 双向呼叫号码Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class MobileMiddleServiceImpl implements IMobileMiddleService 
{
    @Autowired
    private MobileMiddleMapper mobileMiddleMapper;

    /**
     * 查询双向呼叫号码
     * 
     * @param id 双向呼叫号码主键
     * @return 双向呼叫号码
     */
    @Override
    public MobileMiddle selectMobileMiddleById(Long id)
    {
        return mobileMiddleMapper.selectMobileMiddleById(id);
    }

    /**
     * 查询双向呼叫号码列表
     * 
     * @param mobileMiddle 双向呼叫号码
     * @return 双向呼叫号码
     */
    @Override
    public List<MobileMiddle> selectMobileMiddleList(MobileMiddle mobileMiddle)
    {
        return mobileMiddleMapper.selectMobileMiddleList(mobileMiddle);
    }

    /**
     * 新增双向呼叫号码
     * 
     * @param mobileMiddle 双向呼叫号码
     * @return 结果
     */
    @Override
    public int insertMobileMiddle(MobileMiddle mobileMiddle)
    {
        return mobileMiddleMapper.insertMobileMiddle(mobileMiddle);
    }

    /**
     * 修改双向呼叫号码
     * 
     * @param mobileMiddle 双向呼叫号码
     * @return 结果
     */
    @Override
    public int updateMobileMiddle(MobileMiddle mobileMiddle)
    {
        return mobileMiddleMapper.updateMobileMiddle(mobileMiddle);
    }

    /**
     * 批量删除双向呼叫号码
     * 
     * @param ids 需要删除的双向呼叫号码主键
     * @return 结果
     */
    @Override
    public int deleteMobileMiddleByIds(Long[] ids)
    {
        return mobileMiddleMapper.deleteMobileMiddleByIds(ids);
    }

    /**
     * 删除双向呼叫号码信息
     * 
     * @param id 双向呼叫号码主键
     * @return 结果
     */
    @Override
    public int deleteMobileMiddleById(Long id)
    {
        return mobileMiddleMapper.deleteMobileMiddleById(id);
    }
}
